Bug 217862 - UDF format CDs fail to automount
UDF format CDs fail to automount
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-30 09:27 EST by Simon Andrews
Modified: 2013-03-05 22:48 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:59:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of lshal --monitor (1.20 KB, text/plain)
2006-11-30 09:27 EST, Simon Andrews
no flags Details
Output of lshal (83.21 KB, text/plain)
2006-12-01 03:56 EST, Simon Andrews
no flags Details
Output of /lib/hal/vol_id /dev/hda (108 bytes, text/plain)
2006-12-01 03:57 EST, Simon Andrews
no flags Details

  None (edit)
Description Simon Andrews 2006-11-30 09:27:27 EST
Description of problem:
Some CDs, apparently those using a UDF filesystem won't mount automatically. 
ISO9660 CDs work as expected.

Version-Release number of selected component (if applicable):
0.5.8.1-5.fc6

How reproducible:
Always.

Steps to Reproduce:
1. Insert UDF format CD
  
Actual results:
Nothing is mounted.

Expected results:
CD is mounted under /media and appears on desktop.


Additional info:
There's nothing fundamentally broken about mounting since it is possible to
manually mount the failed CDs and they can be read OK.  It's only the
automounting which is broken.

Looking through bugzilla it's possible that this is related to bug#212640 which
describes a similar problem when mounting DVDs.

I've tried this on two separate machines running fully updated FC6, with
different CDR or CDRW drives and the effect is the same on both.

I'll attach the output from lshal --monitor following the insertion and ejecting
of an ISO9660 and a UDF CD.  The obvious difference is that the failed UDF CD
shows storage.removable.media_available = false whereas this shows as true for
ISO9660.
Comment 1 Simon Andrews 2006-11-30 09:27:27 EST
Created attachment 142477 [details]
Output of lshal --monitor
Comment 2 David Zeuthen 2006-11-30 13:57:07 EST
Can you attach 1) output of lshal; 2) output of "/lib/udev/vol_id /dev/hdc" (as
root) where /dev/hdc is your optical drive. Thanks.
Comment 3 Simon Andrews 2006-12-01 03:56:07 EST
Created attachment 142550 [details]
Output of lshal

In addition to the device whose details I've attached here I've got a second
machine which also does this, but currently have no easy way to transfer files
off it.  Its optical device is a SAMSUNG_CD_R/RW_SW_408B and it exhibits the
same behaviour.  If it would be helpful I can find a way to get the lshal
output from that drive attached too.
Comment 4 Simon Andrews 2006-12-01 03:57:47 EST
Created attachment 142551 [details]
Output of /lib/hal/vol_id /dev/hda

I also checked this output on my other machine and it's the same on both.
Comment 5 Simon Andrews 2006-12-13 04:45:18 EST
Just adding a non-attachment note to get this bug out of NEEDINFO.  This is a
bug in bugzilla (#219267).
Comment 6 Bug Zapper 2008-04-04 01:01:14 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 7 Bug Zapper 2008-05-06 12:59:26 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.